https://www.docusign.com/v2.1/accounts/{accountId}/shared_accessRetrieves shared item status for one or more users and types of items. Users with account administration privileges can retrieve shared access information for all account users. Users without account administrator privileges can only retrieve shared access information for themselves, and the returned information is limited to retrieving the status of the members of the account that are sharing their folders to the user. This is equivalent to setting the `shared` parameter to `shared_from`. **Note:** This endpoint returns the shared status for the legacy Shared Envelopes feature. To use the new Shared Access feature, use the Authorizations resource. ### Related topics - How to share access to a Docusign envelope inbox
The external account number (int) or account ID GUID.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Default: `1000`
This query parameter works in conjunction with `user_ids`. When you specify one of the following user statuses, the query limits the results to only users that match the specified status: - `ActivationRequired`: Membership Activation required - `ActivationSent`: Membership activation sent to user - `Active`: User Membership is active - `Closed`: User Membership is closed - `Disabled`: User Membership is disabled
A comma-separated list of folder IDs for which to return shared item information. If `item_type` is set to `folders`, at least one folder ID is required.
Specifies the type of shared item being requested. Valid values: - `envelopes`: Get information about envelope sharing between users. - `templates`: Get information about template sharing among users and groups. - `folders`: Get information about folder sharing among users and groups.
Filter user names based on the specified string. The wild-card '*' (asterisk) can be used in the string.
A comma-separated list of sharing filters that specifies which users appear in the response. - `not_shared`: The response lists users who do not share items of `item_type` with the current user. - `shared_to`: The response lists users in `user_list` who are sharing items to current user. - `shared_from`: The response lists users in `user_list` who are sharing items from the current user. - `shared_to_and_from`: The response lists users in `user_list` who are sharing items to and from the current user. If the current user does not have administrative privileges, only the `shared_to` option is valid.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
A comma-separated list of user IDs for whom the shared item information is being requested.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/shared_access' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/shared_accessRetrieves shared item status for one or more users and types of items. Users with account administration privileges can retrieve shared access information for all account users. Users without account administrator privileges can only retrieve shared access information for themselves, and the returned information is limited to retrieving the status of the members of the account that are sharing their folders to the user. This is equivalent to setting the `shared` parameter to `shared_from`. **Note:** This endpoint returns the shared status for the legacy Shared Envelopes feature. To use the new Shared Access feature, use the Authorizations resource. ### Related topics - How to share access to a Docusign envelope inbox
The external account number (int) or account ID GUID.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Default: `1000`
This query parameter works in conjunction with `user_ids`. When you specify one of the following user statuses, the query limits the results to only users that match the specified status: - `ActivationRequired`: Membership Activation required - `ActivationSent`: Membership activation sent to user - `Active`: User Membership is active - `Closed`: User Membership is closed - `Disabled`: User Membership is disabled
A comma-separated list of folder IDs for which to return shared item information. If `item_type` is set to `folders`, at least one folder ID is required.
Specifies the type of shared item being requested. Valid values: - `envelopes`: Get information about envelope sharing between users. - `templates`: Get information about template sharing among users and groups. - `folders`: Get information about folder sharing among users and groups.
Filter user names based on the specified string. The wild-card '*' (asterisk) can be used in the string.
A comma-separated list of sharing filters that specifies which users appear in the response. - `not_shared`: The response lists users who do not share items of `item_type` with the current user. - `shared_to`: The response lists users in `user_list` who are sharing items to current user. - `shared_from`: The response lists users in `user_list` who are sharing items from the current user. - `shared_to_and_from`: The response lists users in `user_list` who are sharing items to and from the current user. If the current user does not have administrative privileges, only the `shared_to` option is valid.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
A comma-separated list of user IDs for whom the shared item information is being requested.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/shared_access' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}